Subject: bug#4338: closed (Re: bug#4338: 23.1; truncate-partial-width-windows yields too small width)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Mar 2016 07:21:02 +0000

Your bug report

#4338: 23.1; truncate-partial-width-windows yields too small width

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4338: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4338
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4338: 23.1; truncate-partial-width-windows yields too small width
From: Eli Zaretskii <[email-masked]>
To: Andrew Hyatt <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Mar 2016 10:20:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Andrew Hyatt <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 25 Mar 2016 22:53:51 -0400
> 
> I just tested, and can confirm that this is still a problem in Emacs 25.

Thanks for reminding this issue to me.  I fixed the doc string and the
related description in the user manual, and I'm marking this bug as
(finally) done.

Subject: 23.1; truncate-partial-width-windows yields too small width
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Date: Fri, 04 Sep 2009 09:48:39 +0300

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

  emacs -Q
  C-x 3
  M-x set-variable RET truncate-partial-width-windows RET 30 RET

Now type "C-x }" in the left window until the right window starts
truncating its lines on the display.  When that happens, count the
number of columns in the right window.  I get 25, whereas the expected
value is 29, or at least 27, if someone wants to argue that the fringe
counts.

It may be that the width of the scroll bar counts as well, but in that
case this should be reflected in the doc string.

The above is in a GUI session.  On a TTY, I do get 29 characters, but
only if I count the truncation glyph as well.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
d:/usr/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-31 on HOME-C4E4A596F7
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1255
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> C-x 3 M-x s e t - v a r <tab> 
<return> t r u n c a <tab> p <tab> <return> 3 0 <return> 
<mouse-1> <mouse-1> <down-mouse-1> <drag-mouse-1> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<down-mouse-1> <help-echo> <help-echo> <mouse-movement> 
<help-echo> <help-echo> <mouse-movement> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <mouse-movement> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <mouse-movement> 
<help-echo> <help-echo> <mouse-movement> <help-echo> 
<help-echo> <mouse-movement> <help-echo> <help-echo> 
<mouse-movement> <help-echo> <help-echo> <mouse-movement> 
<help-echo> <help-echo> <mouse-movement> <help-echo> 
<help-echo> <mouse-movement> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<mouse-movement> <help-echo> <help-echo> <mouse-movement> 
<help-echo> <drag-mouse-1> <help-echo> <help-echo> 
C-x o <up> <up> <up> <up> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> C-x ^ <down> <up> <down> 
C-x { C-x } C-x } <up> <up> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> C-x } C-x { C-x { <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> C-x o C-x } C-x 
{ C-x { C-x } C-x { C-x 1 M-x r e p o r t - e m <tab> 
<return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Scanning for dabbrevs...100%
dabbrev-expand: No dynamic expansion for `truncate-par' found
Scanning for dabbrevs...100%
dabbrev-expand: No dynamic expansion for `truncate-part' found
Scanning for dabbrevs...100%
dabbrev-expand: No dynamic expansion for `truncate-partial-window' found